From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/prosody-modules/
Date: Tue, 5 Jan 2021 22:17:26 +0000 (UTC) [thread overview]
Message-ID: <1609885036.d84ef8627df9e5a92f1b70343da8f6d003406406.conikost@gentoo> (raw)
commit: d84ef8627df9e5a92f1b70343da8f6d003406406
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 5 21:59:08 2021 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Tue Jan 5 22:17:16 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d84ef862
net-im/prosody-modules: bump to newest snapshot
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
net-im/prosody-modules/Manifest | 1 +
.../prosody-modules-0_pre20210105.ebuild | 55 ++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/net-im/prosody-modules/Manifest b/net-im/prosody-modules/Manifest
index 18c71611ce9..5bfd06584ab 100644
--- a/net-im/prosody-modules/Manifest
+++ b/net-im/prosody-modules/Manifest
@@ -1 +1,2 @@
DIST prosody-modules-0_pre20201004.tar.xz 1152400 BLAKE2B 66170cbeea156d8843aad2ace62294a40b6168170cd3da3b59cf660aa9d6aab743a7bfe1a5d313e83a69336ef7165a4a45ac27da9afa239a7f97413f275883fe SHA512 b4201c108b6ba5ed2404d65efa3fbb50ca1493e204b6cfe55893c19fe22a01bcb23244fa35f2c03cf52ecabdac1354aa388740fc62b5516cb2a85fdd753e9efc
+DIST prosody-modules-0_pre20210105.tar.xz 1166992 BLAKE2B 02bf4ea4521194db51716c2716370e1b38e747da000dc8d27ce93b5f81d53b9e0367e96f3e18aee74c858ae86474bcaccb0ef944325f508337882acf3cd9e960 SHA512 c0739a309b66c958e205989988c6e7118c0385156d7ebc2a4825646af366fe5665ff6e7e98aab24cf3cc5530fe40c8e9a3440afff196a96624242c00861a308e
diff --git a/net-im/prosody-modules/prosody-modules-0_pre20210105.ebuild b/net-im/prosody-modules/prosody-modules-0_pre20210105.ebuild
new file mode 100644
index 00000000000..ff13c951991
--- /dev/null
+++ b/net-im/prosody-modules/prosody-modules-0_pre20210105.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit savedconfig
+
+DESCRIPTION="A collection of community-maintained modules for Prosody"
+HOMEPAGE="https://modules.prosody.im"
+SRC_URI="https://dev.gentoo.org/~conikost/distfiles/${P}.tar.xz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="net-im/prosody"
+
+src_prepare() {
+ default
+
+ # Exclude 'misc' folder from install, since it does not provide any modules.
+ echo "# Remove all modules from this list, which you don't want to install." > prosody-modules.conf || die
+ find * -maxdepth 0 -type d ! -name misc >> prosody-modules.conf || die
+
+ use savedconfig && restore_config prosody-modules.conf
+}
+
+src_install() {
+ insinto "/usr/$(get_libdir)/prosody/community-modules"
+ while read prosody_module; do
+ if ! [[ "${prosody_module}" = \#* ]]; then
+ if [[ -f "${prosody_module}/README.markdown" ]]; then
+ newdoc "${prosody_module}/README.markdown" "README.${prosody_module}"
+ rm "${prosody_module}/README.markdown" || die
+ fi
+
+ doins -r "${prosody_module}"
+ fi
+ done <prosody-modules.conf
+
+ save_config prosody-modules.conf
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ savedconfig_pkg_postinst
+
+ einfo "In order to use the community modules on an existing instance, you have to add"
+ einfo "'/usr/$(get_libdir)/prosody/community-modules' into 'plugin_paths'"
+ einfo "into your prosody configuration file '/etc/jabber/prosody.cfg.lua.'"
+ einfo ""
+ einfo "Example: plugin_paths = { /usr/$(get_libdir)/prosody/community-modules };"
+}
next reply other threads:[~2021-01-05 22:17 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-05 22:17 Conrad Kostecki [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-31 18:35 [gentoo-commits] repo/gentoo:master commit in: net-im/prosody-modules/ Conrad Kostecki
2023-08-05 22:41 Conrad Kostecki
2023-08-05 22:41 Conrad Kostecki
2023-02-21 20:03 Conrad Kostecki
2023-02-21 20:03 Conrad Kostecki
2022-03-19 18:24 Conrad Kostecki
2022-03-19 18:24 Conrad Kostecki
2021-10-29 22:01 Conrad Kostecki
2021-10-29 22:01 Conrad Kostecki
2021-10-29 22:01 Conrad Kostecki
2021-09-01 20:28 Conrad Kostecki
2021-09-01 20:28 Conrad Kostecki
2021-05-15 0:02 Conrad Kostecki
2021-05-14 23:00 Conrad Kostecki
2021-05-14 23:00 Conrad Kostecki
2021-01-05 22:17 Conrad Kostecki
2020-10-12 11:40 Conrad Kostecki
2020-10-07 21:41 Conrad Kostecki
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609885036.d84ef8627df9e5a92f1b70343da8f6d003406406.conikost@gentoo \
--to=conikost@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox